package com.nisum.pompagefactory.practice.tests;

import com.nisum.pompagefactory.practice.AccountSettings;
import com.nisum.pompagefactory.practice.LoginPage;
import com.nisum.pompagefactory.practice.PropertyValues;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;

import java.io.IOException;
import java.util.List;

public class TestConfirmAccountDetails {

    @Test
    public void testAccountSettingsInformation() throws InterruptedException, IOException {
        // get application.properties values and set ChromeDriver
        PropertyValues properties = new PropertyValues();
        List<String> props = properties.getPropValues();
        String email = props.get(2);
        String password = props.get(3);
        String firstName = props.get(0);
        String lastName = props.get(1);
        String phoneNumber = props.get(4);

        System.setProperty("webdriver.chrome.driver", "/Users/spangburn/drivers/chromedriver");
        WebDriver driver = new ChromeDriver();

        // login
        LoginPage loginPage = new LoginPage(driver, "https://www.safeway.com/", true);
        loginPage.loginUser(driver,"https://www.safeway.com/", email, password);
        Thread.sleep(5000);

        // Navigate to account settings
        AccountSettings accountSettings = new AccountSettings(driver);
        accountSettings.goToAccountSettings();
        Thread.sleep(5000);

        // Assert Information is correct
        Assertions.assertEquals(firstName, accountSettings.accountFirstName.getAttribute("value"));
        Assertions.assertEquals(lastName, accountSettings.accountLastName.getAttribute("value"));
        Assertions.assertEquals(email, accountSettings.accountEmail.getAttribute("value"));
        Assertions.assertEquals(phoneNumber, accountSettings.accountPhoneNumber.getAttribute("value"));

        driver.quit();
    }

}
